Update food menus
curl --request PUT \
--url https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"menus": [
{
"labels": [
{
"displayName": "Dinner Menu",
"languageCode": "en"
}
],
"sections": [
{
"items": [
{
"attributes": {
"allergen": [
"FISH"
],
"price": {
"currencyCode": "USD",
"units": "24"
}
},
"labels": [
{
"description": "With seasonal vegetables",
"displayName": "Grilled Salmon"
}
]
}
],
"labels": [
{
"displayName": "Mains"
}
]
}
]
}
]
}
'import requests
url = "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus"
payload = { "menus": [
{
"labels": [
{
"displayName": "Dinner Menu",
"languageCode": "en"
}
],
"sections": [
{
"items": [
{
"attributes": {
"allergen": ["FISH"],
"price": {
"currencyCode": "USD",
"units": "24"
}
},
"labels": [
{
"description": "With seasonal vegetables",
"displayName": "Grilled Salmon"
}
]
}
],
"labels": [{ "displayName": "Mains" }]
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
menus: [
{
labels: [{displayName: 'Dinner Menu', languageCode: 'en'}],
sections: [
{
items: [
{
attributes: {allergen: ['FISH'], price: {currencyCode: 'USD', units: '24'}},
labels: [{description: 'With seasonal vegetables', displayName: 'Grilled Salmon'}]
}
],
labels: [{displayName: 'Mains'}]
}
]
}
]
})
};
fetch('https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'menus' => [
[
'labels' => [
[
'displayName' => 'Dinner Menu',
'languageCode' => 'en'
]
],
'sections' => [
[
'items' => [
[
'attributes' => [
'allergen' => [
'FISH'
],
'price' => [
'currencyCode' => 'USD',
'units' => '24'
]
],
'labels' => [
[
'description' => 'With seasonal vegetables',
'displayName' => 'Grilled Salmon'
]
]
]
],
'labels' => [
[
'displayName' => 'Mains'
]
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus"
payload := strings.NewReader("{\n \"menus\": [\n {\n \"labels\": [\n {\n \"displayName\": \"Dinner Menu\",\n \"languageCode\": \"en\"\n }\n ],\n \"sections\": [\n {\n \"items\": [\n {\n \"attributes\": {\n \"allergen\": [\n \"FISH\"\n ],\n \"price\": {\n \"currencyCode\": \"USD\",\n \"units\": \"24\"\n }\n },\n \"labels\": [\n {\n \"description\": \"With seasonal vegetables\",\n \"displayName\": \"Grilled Salmon\"\n }\n ]\n }\n ],\n \"labels\": [\n {\n \"displayName\": \"Mains\"\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"menus\": [\n {\n \"labels\": [\n {\n \"displayName\": \"Dinner Menu\",\n \"languageCode\": \"en\"\n }\n ],\n \"sections\": [\n {\n \"items\": [\n {\n \"attributes\": {\n \"allergen\": [\n \"FISH\"\n ],\n \"price\": {\n \"currencyCode\": \"USD\",\n \"units\": \"24\"\n }\n },\n \"labels\": [\n {\n \"description\": \"With seasonal vegetables\",\n \"displayName\": \"Grilled Salmon\"\n }\n ]\n }\n ],\n \"labels\": [\n {\n \"displayName\": \"Mains\"\n }\n ]\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"menus\": [\n {\n \"labels\": [\n {\n \"displayName\": \"Dinner Menu\",\n \"languageCode\": \"en\"\n }\n ],\n \"sections\": [\n {\n \"items\": [\n {\n \"attributes\": {\n \"allergen\": [\n \"FISH\"\n ],\n \"price\": {\n \"currencyCode\": \"USD\",\n \"units\": \"24\"\n }\n },\n \"labels\": [\n {\n \"description\": \"With seasonal vegetables\",\n \"displayName\": \"Grilled Salmon\"\n }\n ]\n }\n ],\n \"labels\": [\n {\n \"displayName\": \"Mains\"\n }\n ]\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"accountId": "<string>",
"locationId": "<string>",
"menus": [
{
"labels": [
{
"displayName": "<string>",
"description": "<string>",
"languageCode": "<string>"
}
],
"cuisines": [
"<string>"
],
"sections": [
{
"labels": [
{
"displayName": "<string>",
"description": "<string>",
"languageCode": "<string>"
}
],
"items": [
{
"labels": [
{}
],
"attributes": {
"allergen": "<array>",
"dietaryRestriction": "<array>",
"mediaKeys": "<array>",
"preparationMethods": "<array>",
"price": {},
"servesNumPeople": 123,
"spiciness": "<string>"
},
"options": [
{}
]
}
]
}
],
"sourceUrl": "<string>"
}
],
"name": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"retryHint": "never",
"retryable": true,
"type": "<string>"
}
}AIsa Social
Update food menus
Google Business. Acts in public on your connected account; needs social:publish. Audited. Ids are yours: accounts acc_..., profiles prf_..., posts pst_...; every other object id is checked against your accounts before the call.
Updates food menus for a Google Business Profile location. Send the full menus array. Use updateMask for partial updates.
<!-- aisa-pricing:start -->
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
PUT
https://api.aisa.one
/
apis
/
v1
/
social
/
accounts
/
{accountId}
/
gmb-food-menus
Update food menus
curl --request PUT \
--url https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"menus": [
{
"labels": [
{
"displayName": "Dinner Menu",
"languageCode": "en"
}
],
"sections": [
{
"items": [
{
"attributes": {
"allergen": [
"FISH"
],
"price": {
"currencyCode": "USD",
"units": "24"
}
},
"labels": [
{
"description": "With seasonal vegetables",
"displayName": "Grilled Salmon"
}
]
}
],
"labels": [
{
"displayName": "Mains"
}
]
}
]
}
]
}
'import requests
url = "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus"
payload = { "menus": [
{
"labels": [
{
"displayName": "Dinner Menu",
"languageCode": "en"
}
],
"sections": [
{
"items": [
{
"attributes": {
"allergen": ["FISH"],
"price": {
"currencyCode": "USD",
"units": "24"
}
},
"labels": [
{
"description": "With seasonal vegetables",
"displayName": "Grilled Salmon"
}
]
}
],
"labels": [{ "displayName": "Mains" }]
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
menus: [
{
labels: [{displayName: 'Dinner Menu', languageCode: 'en'}],
sections: [
{
items: [
{
attributes: {allergen: ['FISH'], price: {currencyCode: 'USD', units: '24'}},
labels: [{description: 'With seasonal vegetables', displayName: 'Grilled Salmon'}]
}
],
labels: [{displayName: 'Mains'}]
}
]
}
]
})
};
fetch('https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'menus' => [
[
'labels' => [
[
'displayName' => 'Dinner Menu',
'languageCode' => 'en'
]
],
'sections' => [
[
'items' => [
[
'attributes' => [
'allergen' => [
'FISH'
],
'price' => [
'currencyCode' => 'USD',
'units' => '24'
]
],
'labels' => [
[
'description' => 'With seasonal vegetables',
'displayName' => 'Grilled Salmon'
]
]
]
],
'labels' => [
[
'displayName' => 'Mains'
]
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus"
payload := strings.NewReader("{\n \"menus\": [\n {\n \"labels\": [\n {\n \"displayName\": \"Dinner Menu\",\n \"languageCode\": \"en\"\n }\n ],\n \"sections\": [\n {\n \"items\": [\n {\n \"attributes\": {\n \"allergen\": [\n \"FISH\"\n ],\n \"price\": {\n \"currencyCode\": \"USD\",\n \"units\": \"24\"\n }\n },\n \"labels\": [\n {\n \"description\": \"With seasonal vegetables\",\n \"displayName\": \"Grilled Salmon\"\n }\n ]\n }\n ],\n \"labels\": [\n {\n \"displayName\": \"Mains\"\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"menus\": [\n {\n \"labels\": [\n {\n \"displayName\": \"Dinner Menu\",\n \"languageCode\": \"en\"\n }\n ],\n \"sections\": [\n {\n \"items\": [\n {\n \"attributes\": {\n \"allergen\": [\n \"FISH\"\n ],\n \"price\": {\n \"currencyCode\": \"USD\",\n \"units\": \"24\"\n }\n },\n \"labels\": [\n {\n \"description\": \"With seasonal vegetables\",\n \"displayName\": \"Grilled Salmon\"\n }\n ]\n }\n ],\n \"labels\": [\n {\n \"displayName\": \"Mains\"\n }\n ]\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"menus\": [\n {\n \"labels\": [\n {\n \"displayName\": \"Dinner Menu\",\n \"languageCode\": \"en\"\n }\n ],\n \"sections\": [\n {\n \"items\": [\n {\n \"attributes\": {\n \"allergen\": [\n \"FISH\"\n ],\n \"price\": {\n \"currencyCode\": \"USD\",\n \"units\": \"24\"\n }\n },\n \"labels\": [\n {\n \"description\": \"With seasonal vegetables\",\n \"displayName\": \"Grilled Salmon\"\n }\n ]\n }\n ],\n \"labels\": [\n {\n \"displayName\": \"Mains\"\n }\n ]\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"accountId": "<string>",
"locationId": "<string>",
"menus": [
{
"labels": [
{
"displayName": "<string>",
"description": "<string>",
"languageCode": "<string>"
}
],
"cuisines": [
"<string>"
],
"sections": [
{
"labels": [
{
"displayName": "<string>",
"description": "<string>",
"languageCode": "<string>"
}
],
"items": [
{
"labels": [
{}
],
"attributes": {
"allergen": "<array>",
"dietaryRestriction": "<array>",
"mediaKeys": "<array>",
"preparationMethods": "<array>",
"price": {},
"servesNumPeople": 123,
"spiciness": "<string>"
},
"options": [
{}
]
}
]
}
],
"sourceUrl": "<string>"
}
],
"name": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"retryHint": "never",
"retryable": true,
"type": "<string>"
}
}请求规范
- 方法与路径: PUT /apis/v1/social/accounts/{accountId}/gmb-food-menus
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-food-menus - accountId: path; 必填
- locationId: query; 可选
- Runtime 事实版本: 99acb5bddbedc8d3352e7c4fef86c3e6d8852c14772bcd18dbcf415237a642bd
{
"operationId": "put_aisa_social_apis_v1_social_accounts_accountid_63ad1c",
"method": "PUT",
"path": "/apis/v1/social/accounts/{accountId}/gmb-food-menus",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "One of your social accounts (acc_...).",
"in": "path",
"name": "accountId",
"required": true,
"schema": {
"pattern": "^acc_[0-9A-Za-z]{22}$",
"type": "string"
}
},
{
"description": "Override which location to target. If omitted, uses the account's selected location. Use GET /gmb-locations to list valid IDs.",
"in": "query",
"name": "locationId",
"required": false,
"schema": {
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"example": {
"menus": [
{
"labels": [
{
"displayName": "Dinner Menu",
"languageCode": "en"
}
],
"sections": [
{
"items": [
{
"attributes": {
"allergen": [
"FISH"
],
"price": {
"currencyCode": "USD",
"units": "24"
}
},
"labels": [
{
"description": "With seasonal vegetables",
"displayName": "Grilled Salmon"
}
]
}
],
"labels": [
{
"displayName": "Mains"
}
]
}
]
}
],
"updateMask": "menus"
},
"schema": {
"properties": {
"menus": {
"description": "Array of food menus to set",
"items": {
"properties": {
"cuisines": {
"description": "Cuisine types (e.g. AMERICAN, ITALIAN, JAPANESE)",
"items": {
"type": "string"
},
"type": "array"
},
"labels": {
"items": {
"properties": {
"description": {
"description": "Optional description",
"type": "string"
},
"displayName": {
"description": "Display name of the item/section/menu",
"type": "string"
},
"languageCode": {
"description": "BCP-47 language code (e.g. en, es)",
"type": "string"
}
},
"required": [
"displayName"
],
"type": "object"
},
"minItems": 1,
"type": "array"
},
"sections": {
"items": {
"properties": {
"items": {
"items": {
"properties": {
"attributes": {
"properties": {
"allergen": {
"type": "array"
},
"dietaryRestriction": {
"type": "array"
},
"mediaKeys": {
"type": "array"
},
"preparationMethods": {
"type": "array"
},
"price": {
"type": "object"
},
"servesNumPeople": {
"type": "integer"
},
"spiciness": {
"type": "string"
}
},
"type": "object"
},
"labels": {
"items": {
"type": "object"
},
"minItems": 1,
"type": "array"
},
"options": {
"description": "Item variants/options (e.g. sizes, preparations)",
"items": {
"type": "object"
},
"type": "array"
}
},
"required": [
"labels"
],
"type": "object"
},
"type": "array"
},
"labels": {
"items": {
"properties": {
"description": {
"description": "Optional description",
"type": "string"
},
"displayName": {
"description": "Display name of the item/section/menu",
"type": "string"
},
"languageCode": {
"description": "BCP-47 language code (e.g. en, es)",
"type": "string"
}
},
"required": [
"displayName"
],
"type": "object"
},
"minItems": 1,
"type": "array"
}
},
"required": [
"labels"
],
"type": "object"
},
"type": "array"
},
"sourceUrl": {
"description": "URL of the original menu source",
"format": "uri",
"type": "string"
}
},
"required": [
"labels"
],
"type": "object"
},
"type": "array"
},
"updateMask": {
"description": "Field mask for partial updates (e.g. \"menus\")",
"type": "string"
}
},
"required": [
"menus"
],
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"description": "Included with your connected social accounts: AIsa does not charge per call.",
"kind": "no_customer_charge"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
One of your social accounts (acc_...).
Pattern:
^acc_[0-9A-Za-z]{22}$查询参数
Override which location to target. If omitted, uses the account's selected location. Use GET /gmb-locations to list valid IDs.
请求体
application/json